# comment out if not beta
#define betaver 0

# release for bumping
%define rel 2

%define libname %mklibname %{name} 1

Summary:	An input method server for traditional Chinese
Name:		gcin
Version:	2.9.4
Release:	%mkrel %{?betaver:0.%betaver.}%{rel}
License:	LGPLv2+
Group:		System/Internationalization
URL: 		https://hyperrate.com/dir.php?eid=67
Source0:	https://hyperrate.com/gcin-source/%{name}-%{version}%{?betaver:.%betaver}.tar.xz
Patch0:		0002-Fix-FTBFS-on-big-endian.patch
# Patches from debian
Patch13:	0013-Fix-implicit-function-declaration.patch
Patch14:	0014-Fix-build-with-GCC-14.patch
Patch15:	0015-tsa2d32.cpp-Do-not-free-pointers-to-avoid-crash-on-a.patch
# Mageia patches
Patch100:	gcin-fix-build-with-gcc15.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	qt5platformsupport-devel
BuildRequires:	pkgconfig(libcurl)
#Upstream disabled chewing support
#BuildRequires:	libchewing-devel
Recommends:	%{name}-gtk2 = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh

Obsoletes:	gcin-qt4 < 2.9.0-4

%description
gcin is a Chinese input method server for traditional Chinese.
It features a better GTK user interface.

%package	gtk2
Summary:	gtk2 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk2
This is the gtk2 immodule support for gcin.

%package	gtk3
Summary:	gtk3 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk3
This is the gtk3 immodule support for gcin.

%package	qt5
Summary:	Qt5 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	qt5
This is the qt5 immodule support for gcin.

%package	anthy
Summary:	Anthy module for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	anthy
This is the anthy input method support for gcin.

%prep
%autosetup -p1 -n %{name}-%{version}%{?betaver:.%betaver}

%build
%define _disable_ld_no_undefined 1
%configure
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC -Wno-implicit-function-declaration -Wno-int-conversion -std=gnu17" \
     EXTRA_LDFLAGS="%{?ldflags}" \
     CC="gcc %{?ldflags}" CCLD="gcc %{?ldflags}"

%install
# fix installing in proper path on x86_64:
%make_install libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}%{_includedir}

%files anthy
%{_libdir}/gcin/anthy-module.so

%files
%doc AUTHORS Changelog.html README*
%license COPYING
%{_bindir}/*
%{_datadir}/applications/gcin-tools.desktop
%{_datadir}/gcin/
%{_iconsdir}/gcin/
%{_iconsdir}/hicolor/*/apps/gcin.png
%dir %{_libdir}/gcin/
%{_libdir}/gcin/*
%exclude %{_libdir}/gcin/anthy-module.so

%files gtk2
%{_libdir}/gtk-2.0/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/immodules/*.so

%files qt5
%{_qt5_plugindir}/platforminputcontexts/*.so


%changelog
* Wed May 14 2025 ns80 <ns80> 2.9.4-2.mga10
+ Revision: 2183425
- add a patch from Debian to try to fix ARM builds
- try to fix building with GCC 15
- new version 2.9.4

* Wed Oct 09 2024 daviddavid <daviddavid> 2.9.0-5.mga10
+ Revision: 2104407
- use debian patches to fix build with GCC 14
- fix various C99 issues from fedora

* Sat Feb 04 2023 daviddavid <daviddavid> 2.9.0-4.mga9
+ Revision: 1938028
- drop Qt4 support

* Sun Jan 29 2023 wally <wally> 2.9.0-3.mga9
+ Revision: 1936768
- don't own hicolor icon theme dirs
- don't ship anthy-module with two pkgs
- drop old conflicts and obsoletes

* Sun Apr 03 2022 umeabot <umeabot> 2.9.0-2.mga9
+ Revision: 1841910
- Mageia 9 Mass Rebuild

* Thu Jun 04 2020 yochenhsieh <yochenhsieh> 2.9.0-1.mga8
+ Revision: 1590332
- New version 2.9.0

* Sat Feb 15 2020 umeabot <umeabot> 2.8.9-3.mga8
+ Revision: 1524594
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Mar 30 2019 umeabot <umeabot> 2.8.9-2.mga7
+ Revision: 1381808
- Qt5 Rebuild

* Thu Mar 14 2019 yochenhsieh <yochenhsieh> 2.8.9-1.mga7
+ Revision: 1376427
- New version 2.8.9

* Sun Mar 10 2019 wally <wally> 2.8.8-2.mga7
+ Revision: 1373728
- handle updating gtk immodules cache with transfiletriggers

* Tue Dec 11 2018 yochenhsieh <yochenhsieh> 2.8.8-1.mga7
+ Revision: 1340257
- New version 2.8.8

* Sun Sep 23 2018 umeabot <umeabot> 2.8.5-3.mga7
+ Revision: 1297834
- Mageia 7 Mass Rebuild

* Mon Oct 16 2017 cjw <cjw> 2.8.5-2.mga7
+ Revision: 1172274
- drop unused find_lang call
- patch2: fix qt5 build

* Tue Feb 07 2017 yochenhsieh <yochenhsieh> 2.8.5-1.mga6
+ Revision: 1085078
- New version 2.8.5

* Tue Mar 22 2016 yochenhsieh <yochenhsieh> 2.8.4-3.mga6
+ Revision: 994086
- fix auto-rebuild
- disable appindicator
- re-add immodule update-cache
+ luigiwalser <luigiwalser>
- try opensuse patches to fix qt5 build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 yochenhsieh <yochenhsieh> 2.8.4-2.mga6
+ Revision: 889228
- Build QT5 input method module

* Sat Oct 10 2015 yochenhsieh <yochenhsieh> 2.8.4-1.mga6
+ Revision: 889219
- New version 2.8.4

* Sun Jul 05 2015 yochenhsieh <yochenhsieh> 2.8.3-2.mga6
+ Revision: 850903
- Add BuildRequires libappindicator-devel

* Wed Dec 24 2014 yochenhsieh <yochenhsieh> 2.8.3-1.mga5
+ Revision: 805211
- New version 2.8.3

* Wed Oct 15 2014 umeabot <umeabot> 2.8.2-5.mga5
+ Revision: 746846
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.2-4.mga5
+ Revision: 679441
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Jul 20 2014 colin <colin> 2.8.2-3.mga5
+ Revision: 654751
- Drop RPM scripts for immodules (handled by filetriggers)

* Tue May 06 2014 yochenhsieh <yochenhsieh> 2.8.2-2.mga5
+ Revision: 620374
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Wed Apr 09 2014 yochenhsieh <yochenhsieh> 2.8.2-1.mga5
+ Revision: 612986
- New version 2.8.2

* Sat Oct 19 2013 umeabot <umeabot> 2.8.1-2.mga4
+ Revision: 530594
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- cleanup spec

* Thu Jul 11 2013 yochenhsieh <yochenhsieh> 2.8.1-1.mga4
+ Revision: 452850
- New version release 2.8.1

* Mon Feb 18 2013 yochenhsieh <yochenhsieh> 2.8.0-1.mga3
+ Revision: 399019
- New version 2.8.0

* Fri Jan 11 2013 umeabot <umeabot> 2.7.9-3.mga3
+ Revision: 351106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 2.7.9-2.mga3
+ Revision: 333745
- br libxtst
+ yochenhsieh <yochenhsieh>
- New version 2.7.9
  Upstream disabled libchewing support

* Wed Jul 18 2012 yochenhsieh <yochenhsieh> 2.7.8-1.mga3
+ Revision: 272220
- Upload source tarball, sync sha1.lst
- New version 2.7.8

* Sat Jun 02 2012 fwang <fwang> 2.7.6.1-2.mga3
+ Revision: 253413
- add conflicts to eas upgarde

* Tue May 29 2012 yochenhsieh <yochenhsieh> 2.7.6.1-1.mga3
+ Revision: 248946
- Split anthy & chewing module as sub-pacakges.
- New version 2.7.6.1

* Wed Apr 18 2012 yochenhsieh <yochenhsieh> 2.7.5-2.mga2
+ Revision: 231296
- Remove Suggests on qt4 immodule, let localedrake to handle it.

* Mon Mar 05 2012 yochenhsieh <yochenhsieh> 2.7.5-1.mga2
+ Revision: 218367
- New Version 2.7.5
- New version 2.7.4

* Thu Feb 16 2012 yochenhsieh <yochenhsieh> 2.7.3-2.mga2
+ Revision: 209707
- Add Requires(post) & Requires(postun) for gtk2 & gtk3 im modules
- Modify Obsoletes & add Conflicts for gtk2 immodule
- Update License (LGPLv2.1)
- Builds gtk2 im module package
  Combine lib files into main package, don't build libgcin
- Suggests gtk2 & gtk3 im modules install by default

* Mon Feb 13 2012 yochenhsieh <yochenhsieh> 2.7.3-1.mga2
+ Revision: 208323
- New version 2.7.3
- New version 2.7.2
- Add libchewing support

* Thu Jan 19 2012 yochenhsieh <yochenhsieh> 2.7.1-2.mga2
+ Revision: 198018
- clean up old patches
- new version 2.7.1

* Wed Jul 13 2011 fwang <fwang> 1.6.4-1.mga2
+ Revision: 123588
- new version 1.6.4

* Wed May 04 2011 fwang <fwang> 1.6.2-1.mga1
+ Revision: 94694
- buildroot not needed
- new version 1.6.2 (synched with mandriva)
+ ennael <ennael>
- new release, many bug fixes
  remove buildroot

* Wed Mar 23 2011 steletch <steletch> 1.5.6-1.mga1
+ Revision: 75967
- imported package gcin


* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 1.5.6-1mdv2011.0
+ Revision: 580727
- more patch
- New verison 1.5.6

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 1.5.4-1mdv2011.0
+ Revision: 554473
- new version 1.5.4

* Mon May 17 2010 Funda Wang <fwang@mandriva.org> 1.4.9-1mdv2010.1
+ Revision: 544935
- new version 1.4.9

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.4.6-3mdv2010.1
+ Revision: 499860
- build with gtk >= 2.19.3

* Mon Jan 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-2mdv2010.1
+ Revision: 489706
- rebuilt against libjpeg v8

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.4.6-1mdv2010.1
+ Revision: 486048
- new version 1.4.6 final

* Fri Dec 18 2009 Funda Wang <fwang@mandriva.org> 1.4.6-0.pre17.1mdv2010.1
+ Revision: 479878
- New version 1.4.6 pre17

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 1.4.5-3mdv2010.0
+ Revision: 448377
- rediff libdir patch
- fix broken lib64 detection (from Arnaud Patard)

* Sun Aug 16 2009 Funda Wang <fwang@mandriva.org> 1.4.5-2mdv2010.0
+ Revision: 416868
- rebuild for libjpeg7

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove old macros

* Wed Jun 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.5-1mdv2010.0
+ Revision: 382525
- update to new version 1.4.5

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix build with gcc 4.4

* Thu Feb 12 2009 Funda Wang <fwang@mandriva.org> 1.4.4-1mdv2009.1
+ Revision: 339644
- add anthy support
- more underlink fix
- New version 1.4.4
- rediff patch0
- new version 1.4.3 pre12

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 1.4.3-0.pre6.1mdv2009.0
+ Revision: 288992
- fix file list
- New version 1.4.3 pre 6

* Thu Aug 21 2008 Funda Wang <fwang@mandriva.org> 1.4.3-0.pre5.1mdv2009.0
+ Revision: 274959
- New version 1.4.3 pre5
- rediff qt dir patch
- enalbe qt4 immodule

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 1.4.2-1mdv2009.0
+ Revision: 227677
- New version 1.4.2
- New version 1.4.1
- adopt to new libqt3 paths

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Funda Wang <fwang@mandriva.org> 1.4.0-0.pre2.1mdv2008.1
+ Revision: 171520
- New version 1.4.0 pre2

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 1.3.8-1mdv2008.1
+ Revision: 155287
- New version 1.3.8

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 1.3.8-0.pre9.1mdv2008.1
+ Revision: 139167
- New version 1.3.8 pre9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 1.3.8-0.pre4.1mdv2008.1
+ Revision: 120498
- New version pre4

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 1.3.8-0.pre2.1mdv2008.1
+ Revision: 116689
- New version 1.3.8 pre2

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 1.3.8-0.pre1.1mdv2008.1
+ Revision: 116397
- New version 1.3.8 pre1

* Tue Dec 04 2007 Funda Wang <fwang@mandriva.org> 1.3.7.1-1mdv2008.1
+ Revision: 115316
- update to new version 1.3.7.1

* Sat Oct 13 2007 Funda Wang <fwang@mandriva.org> 1.3.5-1mdv2008.1
+ Revision: 97827
- New version 1.3.5

* Sat Oct 13 2007 Funda Wang <fwang@mandriva.org> 1.3.5-0.pre7.1mdv2008.1
+ Revision: 97815
- add missing patch
- New version 1.3.5 pre7

* Sat Aug 04 2007 Funda Wang <fwang@mandriva.org> 1.3.5-0.pre5.1mdv2008.0
+ Revision: 58911
- New version 1.3.5 pre5

* Tue Jul 10 2007 Funda Wang <fwang@mandriva.org> 1.3.5-0.pre4.2mdv2008.0
+ Revision: 51004
- New version

* Wed May 23 2007 Funda Wang <fwang@mandriva.org> 1.3.5-0.pre2.2mdv2008.0
+ Revision: 29996
- Bump release
- kill old menu
  move lib files
- New upstream version

* Sun May 13 2007 Funda Wang <fwang@mandriva.org> 1.3.5-0.pre1.1mdv2008.0
+ Revision: 26503
- New upstream version

* Wed Apr 18 2007 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2008.0
+ Revision: 14318
- New release 1.3.4.


* Thu Apr 05 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-0.pre5.1mdv2007.1
+ Revision: 150694
- new version.

* Wed Mar 14 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-0.pre4.1mdv2007.1
+ Revision: 143333
- X11-devel instead
- buildrequires x11-devel.
- new releae 1.3.4 pre4
- qt-immodule directory fix
- bunizp2 the patches.
- new release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - Import gcin

* Sat Oct 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.7-1mdv2007.0
- new release

* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.0
- switch to XDG
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-1mdv2007.0
- new release
- drop patches 0 & 1 (no more needed)
- patch 3: fix build on x86_64 (use -fPIC)

* Tue Feb 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-1mdk
- new release
- disable broken parallel build

* Mon Nov 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-1mdk
- new release

* Tue Oct 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-1mdk
- new release
- rediff patches 1 & 2

* Tue Sep 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdk
- rebuild b/c of qt-immodule (#18486)

* Thu Sep 01 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.3-2mdk
- 64-bit fixes
- split requires(post,postun)
- fix location of qt plugins (lib64 fixes)

* Sat Aug 20 2005 You-Cheng Hsieh <yochenhsieh@xuite.net> 1.0.3-1mdk
- new release

* Tue Jul 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Sun Jul 10 2005 Abel Cheung <deaddog@mandriva.org> 1.0.0-1mdk
- New release

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-3mdk
- patch 0: fix build on x86_64
- fix installing on x86_64

* Fri Jul 01 2005 Abel Cheung <deaddog@mandriva.org> 0.9.5-2mdk
- Drop patch, menu should be in english and translated afterwards,
  so regenerate menu inside package instead

* Sat May 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release
- kill patch 1 (merged upstream)

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-1mdk
- new release (#15828)
- patch 1: fix compiling with gcc-4.0

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.1-1mdk
- new release

* Sun Mar 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.6-1mdk
- new release
- disable parallel build since it's broken in 0.8.6
- patch 0: fix upcase in menu entries

* Fri Mar 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.4-1mdk
- first spec for Mandrakelinux
- based on the spec by Steven Shiau/Chung-Yen Chang. Thanks!

